<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS flexbox Excercise</title>
    <style>
 *{
            margin: 0;
            padding: 0;
            font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
        }
        html, body{
            width: 100%;
            height: 100%;
        }
        #container{
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
           
        }
        #container>div {
            
            display: flex;
            justify-content: center;
            align-items: center;
            
        }
        #header{
            height: 100px;
            background: powderblue;
            flex-basis: 100%;
            order: 1;
        }
        #left{
            height: calc(100% - 175px);
            background: silver;
            flex: 2;
            order: 2;
    
        }
        #main{
            height: calc(100% - 175px);
            background: skyblue;
            flex: 4;
            display: block!important;
            overflow-y: auto;
            overflow-x: hidden;
            order: 4;
    
        }

        #main>p {
            display: block;
        }
        #right{
            height: calc(100% - 175px);
            background: rgb(158, 176, 180);
            flex: 1;
            order: 3;
        }
        

        #footer{
            height: 75px;
            background: #839494;
            flex-basis: 100%;
            order: 5;
        }

        @media (max-width: 500px){

            #left{
                flex: 1;
            }
            #right{
                flex: 1;
            }
            #main {
                flex-basis: 100%;
            }
            
        }
    </style>
</head>
<body>
    <div id="container">

    <div id="header">header</div>
    <div id="left">left</div>
    <div id="main">main
        <h1>Lorem ipsum</h1>
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Aperiam maxime ratione laborum iure fuga perferendis, nihil in suscipit! Sint deserunt adipisci nobis quisquam omnis non culpa tenetur obcaecati corporis dolor.
        Lorem, ipsum dolor sit amet consectetur adipisicing elit. Mollitia quas vitae ipsum natus doloremque amet assumenda quidem, cupiditate ipsam. Velit consectetur deleniti rem ullam cumque unde blanditiis voluptate facere repudiandae.
        Lorem ipsum dolor sit amet consectetur adipisicing elit. Exercitationem, facilis beatae itaque, laboriosam laborum odio enim provident aliquid ipsam, iure consequuntur saepe id maiores doloremque expedita asperiores voluptatibus consequatur. Inventore.
        Lorem ipsum dolor, sit amet consectetur adipisicing elit. Vero minus, est voluptates cumque aspernatur excepturi reiciendis eius voluptatem odit sit recusandae repellat, laudantium deserunt atque. Perspiciatis sit ullam reprehenderit odit!
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Laboriosam ab itaque labore. Necessitatibus quasi tenetur nostrum animi nam dignissimos iure praesentium velit consequatur recusandae alias ullam quaerat molestias, vel consectetur.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quo perspiciatis optio saepe modi aliquam veniam in, possimus pariatur consequatur, ad blanditiis molestias quidem beatae deserunt voluptas perferendis accusantium incidunt magnam!
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugiat optio dignissimos vero vel omnis iusto odio expedita voluptatibus blanditiis maiores, recusandae sed eos, cupiditate doloribus officiis quo. Veritatis, est dolor!
    Lorem ipsum, dolor sit amet consectetur adipisicing elit. Eligendi voluptate optio necessitatibus, nulla magnam commodi soluta vitae porro hic facilis accusantium error cum quae natus consequuntur adipisci accusamus exercitationem sequi!
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quas sunt suscipit odit officia quos odio illo possimus mollitia non. Mollitia repellat iure ea distinctio incidunt velit accusantium voluptas, dignissimos ex.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Sed ipsum ullam eveniet totam! Explicabo maiores culpa molestiae. Odio autem ullam corporis, eligendi fuga reprehenderit temporibus ad, pariatur inventore iste eos!
    Lorem, ipsum dolor sit amet consectetur adipisicing elit. Veritatis, in accusamus! Blanditiis inventore reprehenderit temporibus, eius, possimus nulla sed corrupti ullam cum repudiandae nesciunt repellendus voluptate quibusdam, enim accusamus voluptatibus.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Enim nihil modi recusandae alias provident ducimus eum ea dignissimos fugit excepturi placeat magnam nam impedit aspernatur, tenetur omnis labore debitis suscipit.
    Lorem ipsum dolor sit amet consectetur, adipisicing elit. Recusandae, laborum maxime maiores voluptas rem, quam molestias quisquam aut iure quos sed cupiditate tempore ipsam veritatis ducimus excepturi nam eaque harum.
    Lorem ipsum, dolor sit amet consectetur adipisicing elit. Quasi sequi recusandae ut corporis, possimus maiores accusamus iure soluta delectus consectetur illo rem. Nemo perferendis aperiam sed assumenda adipisci, tempore ab.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Laboriosam, soluta. Quod dicta libero, odit reprehenderit expedita omnis nisi excepturi officiis alias corporis pariatur laudantium delectus consequuntur quia inventore fugiat ab.
    
    </div>
    <div id="right">right</div>
    <div id="footer">footer</div>
</div>
</body>
</html>